Jakarta EE 10 & primefaces (11.0.0)

UI Components for JSF
Post Reply
makwing
Posts: 1
Joined: 29 Sep 2022, 04:21

29 Sep 2022, 04:29

Hello, Primefaces,

My project is using Jakarta EE (9.1.0) and primefaces (11.0.0). The project is fine. But when the Jakarta EE is upgraded to 10.0.0, the UI datatable of primefaces is not working. Is primefaces (11.0.0) support Jakarta EE (10.0.0) ? If not, do you have any alternative solution ? Many thanks


Mak Wing

tandraschko
PrimeFaces Core Developer
Posts: 3932
Joined: 03 Dec 2010, 14:11
Location: Bavaria, DE
Contact:

29 Sep 2022, 09:17

Its supported but you need need to use the "-jakarta.jar" / jakarta classifier in maven. Just google a bit.
Thomas Andraschko

PrimeFaces | PrimeFaces Extensions

Apache Member | OpenWebBeans, DeltaSpike, MyFaces, BVal, TomEE

Sponsor me: https://github.com/sponsors/tandraschko
Blog: http://tandraschko.blogspot.de/
Twitter: https://twitter.com/TAndraschko

NOTiFY
Posts: 340
Joined: 25 May 2016, 22:57
Location: Cambridge, UK
Contact:

29 Sep 2022, 11:20

In Gradle:

Code: Select all

dependencies {
    implementation("org.primefaces:primefaces-11.0.0-jakarta")
}
PrimeFace (Elite) 12.0.2-Jakarta
JSF Mojarra 4.0.0.SP01 & OmniFaces 4.0
WildFly 27.0.0.Final Jakarta 10.0.0, Weld 4.0.2 & CDI 3.0
Java OpenJDK 19.0.1, Kotlin 1.7.21, Gradle 7.6, MongoDB 5.0.7
IntelliJ IDEA 2022.2.3, macOS Ventura 13.0.1

Post Reply

Return to “PrimeFaces”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 8 guests